Skip to content

Create a new payment intent

POST
/payments/card
curl --request POST \
--url https://api.paygasus.com/payments/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "amount": 1000, "capture_method": "automatic", "create_token": true, "currency": "USD", "description": "example", "metadata": "example", "stored_credential": { "initiator": "cardholder", "scheduled": true, "scheme_reference_transaction_id": "example", "sequence": "first" } }'
Media typeapplication/json
object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
capture_method
string
Allowed values: automatic manual
create_token

Opt in to minting a reusable network token on this intent’s charge (CommerceHub createToken). Defaults to false.

boolean
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
metadata
object | null
stored_credential
One of:
null

Payment intent created

Media typeapplication/json
object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
amount_captured
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
amount_refunded
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
cancellation_reason
One of:
null
capture_method
required
string
Allowed values: automatic manual
create_token
required

Whether a network token was requested for this intent’s charge.

boolean
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
description
string | null
failure_reason
One of:
null
id
required
string
livemode
required
boolean
metadata
required
object
key
additional properties
string
network_token
One of:
null
payment_method
One of:
null
processor_ref
One of:
null
scheme_reference_transaction_id

Issuer scheme reference returned by the processor, for chaining a subsequent stored-credential transaction. None until the charge returns one.

string | null
statement_descriptor
string | null
status
required
string
Allowed values: created authorized committed failed canceled
status_at

If is in state ‘Created’, will be empty. status_at indicates state change occurences. Created is the initial state

integer | null format: int64
stored_credential
One of:
null
updated
required
integer format: int64
Example
{
"amount": 1000,
"amount_captured": 1000,
"amount_refunded": 1000,
"capture_method": "automatic",
"currency": "USD",
"id": "pi_card_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV",
"payment_method": {
"brand": "AMEX"
},
"status": "created",
"stored_credential": {
"initiator": "cardholder",
"sequence": "first"
}
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
param
string | null
type
required
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"param": "example",
"type": "example"
}
}